
[Choice]
BestAlternative_1 * 1 + BestAlternative_2 * 2

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
Constant1			0	-10000	10000	1
Constant2		0	-10000	10000	0
Fare			0	-10000	10000	0
Legroom			0	-10000	10000	0
Total_TT		0	-10000	10000	0
SchedDE		0	-10000	10000	0
SchedDL		0	-10000	10000	0

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Opt1   one   Constant1 * one 
+ Fare * Opt1_Fare
+ Legroom * Opt1_Legroom 
+ SchedDE * Opt1_SchedDelayEarly
+ SchedDL * Opt1_SchedDelayLate
+ Total_TT * TripTimeHours_1

 2 Opt2 one  Constant2 * one
+ Fare * Opt2_Fare
+ Legroom * Opt2_Legroom 
+ SchedDE * Opt2_SchedDelayEarly
+ SchedDL * Opt2_SchedDelayLate
+ Total_TT * TripTimeHours_2

[Ratios]
Constant2 Fare ValueOfConstant2
SchedDE Fare ValueOfTripTime
Legroom Fare ValueOfLegroom
SchedDE Fare ValueOfSchedDelayEarly
SchedDL Fare ValueOfSchedDelayLate



[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data


#We code income as a continuous variable, inputing the mid point of
#each interval as the "true" value.
Subj_Income = (q16_Income == 1) * 10 + 
         (q16_Income == 2) * 20 + 
         (q16_Income == 3) * 30 + 
         (q16_Income == 4) * 40 + 
         (q16_Income == 5) * 50 + 
         (q16_Income == 6) * 60 + 
         (q16_Income == 7) * 70 + 
         (q16_Income == 8) * 80 + 
         (q16_Income == 9) * 92.5 + 
         (q16_Income == 10) * 112.5 + 
         (q16_Income == 11) * 137.5 + 
         (q16_Income == 12) * 162.5 + 
         (q16_Income == 13) * 187.5 + 
         (q16_Income == 14) * 350 +
         (q16_Income == -1) * 100 +
         (q16_Income == 99) * 100


//We code legroom as continuous variable.
Opt1_Legroom = (Legroom_1 - 2) * 2
Opt2_Legroom = (Legroom_2 - 2) * 2
Opt3_Legroom = (Legroom_3 - 2) * 2


//We code fare in 100$ in order to reduce numerical issues.
Opt1_Fare    =  Fare_1 / 100
Opt2_Fare    =  Fare_2 / 100
Opt3_Fare    =  Fare_3 / 100


//Calculation of Schedule delay (early and late), SchedDeLayEarly is scheduled early departure (in hours).
//It accounts for the fact that some people are sensitive to departure delay, but others not.
DepartureTimeSensitive  =  q11_DepartureOrArrivalIsImportant   ==  1 
ArrivalTimeSensitive  =  q11_DepartureOrArrivalIsImportant   ==  2 
Missing  = (  q11_DepartureOrArrivalIsImportant   !=  1  ) * (  q11_DepartureOrArrivalIsImportant   !=  2  )
DesiredDepartureTime  = q12_IdealDepTime 
DesiredArrivalTime  = q13_IdealArrTime 

ScheduledDelay_1 = DepartureTimeSensitive * (DepartureTimeMins_1 - DesiredDepartureTime ) + ArrivalTimeSensitive * (ArrivalTimeMins_1 - DesiredArrivalTime ) 
ScheduledDelay_2 = DepartureTimeSensitive * (DepartureTimeMins_2 - DesiredDepartureTime ) + ArrivalTimeSensitive * (ArrivalTimeMins_2 - DesiredArrivalTime ) 
ScheduledDelay_3 = DepartureTimeSensitive * (DepartureTimeMins_3 - DesiredDepartureTime ) + ArrivalTimeSensitive * (ArrivalTimeMins_3 - DesiredArrivalTime ) 

Opt1_SchedDelayEarly = - ScheduledDelay_1 * (ScheduledDelay_1 < 0) / 60
Opt2_SchedDelayEarly = - ScheduledDelay_2 * (ScheduledDelay_2 < 0) / 60
Opt3_SchedDelayEarly = - ScheduledDelay_3 * (ScheduledDelay_3 < 0) / 60
Opt1_SchedDelayLate = ScheduledDelay_1 * (ScheduledDelay_1 > 0) / 60
Opt2_SchedDelayLate = ScheduledDelay_2 * (ScheduledDelay_2 > 0) / 60
Opt3_SchedDelayLate = ScheduledDelay_3 * (ScheduledDelay_3 > 0) / 60


one = 1




# We focus on the choice between alt. 1 and 2. We remove all
# observations where alt 3 was chosen.
[Exclude]
ArrivalTimeHours_1 == -1 || BestAlternative_3
[Model]									    
$MNL


