// not significant

[Choice]
BestAlternative_1 * 1 + BestAlternative_2 * 2

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
Constant1			0	-10000	10000	1
Constant2		0	-10000	10000	0
Fare			0	-10000	10000	0
Legroom			0	-10000	10000	0
Total_TT1		0	-10000	10000	0
Total_TT2		0	-10000	10000	0
SchedDE		0	-10000	10000	0
SchedDL		0	-10000	10000	0

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  1   Opt1   one   Constant1 * one 
+ Fare * Opt1_Fare
+ Legroom * Opt1_Legroom 
+ SchedDE * Opt1_SchedDelayEarly
+ SchedDL * Opt1_SchedDelayLate
+ Total_TT1 * TripTimeHours_1

 2 Opt2 one  Constant2 * one
+ Fare * Opt2_Fare
+ Legroom * Opt2_Legroom 
+ SchedDE * Opt2_SchedDelayEarly
+ SchedDL * Opt2_SchedDelayLate
+ Total_TT2 * TripTimeHours_2

[Ratios]
Constant2 Fare ValueOfConstant2
SchedDE Fare ValueOfTripTime
Legroom Fare ValueOfLegroom
SchedDE Fare ValueOfSchedDelayEarly
SchedDL Fare ValueOfSchedDelayLate



[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one = 1


Leisure = ( TripPurpose == 2 )
NonLeisure = ( 1 - Leisure )

Opt1_Fare    =  Fare_1 / 100
Opt2_Fare    =  Fare_2 / 100
Opt3_Fare    =  Fare_3 / 100


Opt1_LogFare    =  Fare_1 / 100
Opt2_LogFare    =  Fare_2 / 100
Opt3_LogFare    =  Fare_3 / 100

Opt1_Legroom = (Legroom_1 - 2) * 2
Opt2_Legroom = (Legroom_2 - 2) * 2
Opt3_Legroom = (Legroom_3 - 2) * 2


DepartureTimeSensitive  =  q11_DepartureOrArrivalIsImportant   ==  1 
ArrivalTimeSensitive  =  q11_DepartureOrArrivalIsImportant   ==  2 
Missing  = (  q11_DepartureOrArrivalIsImportant   !=  1  ) * (  q11_DepartureOrArrivalIsImportant   !=  2  )
DesiredDepartureTime  = q12_IdealDepTime 
DesiredArrivalTime  = q13_IdealArrTime 

ScheduledDelay_1 = DepartureTimeSensitive * (DepartureTimeMins_1 - DesiredDepartureTime ) + ArrivalTimeSensitive * (ArrivalTimeMins_1 - DesiredArrivalTime ) 
ScheduledDelay_2 = DepartureTimeSensitive * (DepartureTimeMins_2 - DesiredDepartureTime ) + ArrivalTimeSensitive * (ArrivalTimeMins_2 - DesiredArrivalTime ) 
ScheduledDelay_3 = DepartureTimeSensitive * (DepartureTimeMins_3 - DesiredDepartureTime ) + ArrivalTimeSensitive * (ArrivalTimeMins_3 - DesiredArrivalTime ) 

# Early = ScheduledDelay < 0 
# Late  = ScheduledDelay > 0 
Opt1_SchedDelayEarly = - ScheduledDelay_1 * (ScheduledDelay_1 < 0) / 60
Opt2_SchedDelayEarly = - ScheduledDelay_2 * (ScheduledDelay_2 < 0) / 60
Opt3_SchedDelayEarly = - ScheduledDelay_3 * (ScheduledDelay_3 < 0) / 60
Opt1_SchedDelayLate = ScheduledDelay_1 * (ScheduledDelay_1 > 0) / 60
Opt2_SchedDelayLate = ScheduledDelay_2 * (ScheduledDelay_2 > 0) / 60
Opt3_SchedDelayLate = ScheduledDelay_3 * (ScheduledDelay_3 > 0) / 60




# We focus on the choice between alt. 1 and 2. We remove all
# observations where alt 3 was chosen.
[Exclude]
ArrivalTimeHours_1 == -1 || BestAlternative_3


[Model]									    
// Currently, only $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit) and $NGEV (Network GEV model) are valid keywords
$MNL


